# X Scrapper
Use to scrape the tweets from given username (including the metadata of the tweet - location of user, views, likes etc.) using `tweepy`.

## Use case 
1. To analyze the (sentiment trend of the given user)[https://github.com/iamshreeram/twitter-senti-analyzer] over the period of time (on given topic or anything)
2. Further analysis of user behaviour using geo-location, time of tweets, 

### Requirements

Python 3.xx
tweepy
```bash
pip install tweepy

```

### Usage
python main.py <twitter_username>


### Note : 
1. This requires you to have the consumer key, consumer secret, access key and access secret from your x.com account
